.lang-xs {
    background-position: 0 -473px;
    min-width: 14px;
    height: 11px;
    min-height: 11px;
    max-height: 11px;
    background-repeat: no-repeat;
    display: inline-block;
    background-image: url(languages.png)
}

.lang-sm {
    background-position: 0 -1172px;
    min-width: 22px;
    height: 16px;
    min-height: 16px;
    max-height: 16px;
    background-repeat: no-repeat;
    display: inline-block;
    background-image: url(languages.png)
}

.lang-lg {
    background-position: 0 -2134px;
    min-width: 30px;
    height: 22px;
    min-height: 22px;
    max-height: 22px;
    background-repeat: no-repeat;
    display: inline-block;
    background-image: url(languages.png)
}

.lang-sm[lang=de] {
    background-position: 0 -564px
}


.lang-sm[lang=en] {
    background-position: 0 -596px
}

.lang-sm[lang=es] {
    background-position: 0 -612px
}

.lang-sm[lang=fr] {
    background-position: 0 -660px
}

.lang-sm[lang=it] {
    background-position: 0 -772px
}

.lang-sm[lang=ja] {
    background-position: 0 -804px
}


.lang-sm[lang=ro] {
    background-position: 0 -980px
}

.lang-sm[lang=ru] {
    background-position: 0 -996px
}


.lang-sm[lang=uk] {
    background-position: 0 -1124px
}

.lang-sm[lang=vi] {
    background-position: 0 -1140px
}

.lang-sm[lang=zh] {
    background-position: 0 -1156px
}


/*Start lg = OUT */




.lang-lbl-en:after,
.lang-lbl-full:after,
.lang-lbl:after {
    content: "Unknown language"
}


.lang-lbl[lang=de]:after {
    content: "Deutsch"
}

.lang-lbl[lang=en]:after {
    content: "English"
}

.lang-lbl[lang=es]:after {
    content: "Espa\0000F1ol"
}

.lang-lbl[lang=fr]:after {
    content: "Fran\0000E7ais"
}

.lang-lbl[lang=it]:after {
    content: "Italiano"
}


.lang-lbl[lang=ja]:after {
    content: "\0065E5\00672C\008A9E"
}


.lang-lbl[lang=pt]:after {
    content: "Portugu\0000EAs"
}


.lang-lbl[lang=ru]:after {
    content: "\000420\000443\000441\000441\00043A\000438\000439"
}


.lang-lbl[lang=zh]:after {
    content: "\004E2D\006587"
}


/*lang-lbl-enlang-lbl-en*/

.lang-lbl-en[lang=ar]:after {
    content: "Arabic"
}

.lang-lbl-en[lang=be]:after {
    content: "Belarusian"
}

.lang-lbl-en[lang=bg]:after {
    content: "Bulgarian"
}

.lang-lbl-en[lang=cs]:after {
    content: "Czech"
}

.lang-lbl-en[lang=da]:after {
    content: "Danish"
}

.lang-lbl-en[lang=de]:after {
    content: "German"
}

.lang-lbl-en[lang=el]:after {
    content: "Greek"
}

.lang-lbl-en[lang=en]:after {
    content: "English"
}

.lang-lbl-en[lang=es]:after {
    content: "Spanish"
}

.lang-lbl-en[lang=et]:after {
    content: "Estonian"
}

.lang-lbl-en[lang=fi]:after {
    content: "Finnish"
}

.lang-lbl-en[lang=fr]:after {
    content: "French"
}

.lang-lbl-en[lang=ga]:after {
    content: "Irish"
}

.lang-lbl-en[lang=hi]:after {
    content: "Hindi"
}

.lang-lbl-en[lang=hr]:after {
    content: "Croatian"
}

.lang-lbl-en[lang=hu]:after {
    content: "Hungarian"
}

.lang-lbl-en[lang=in]:after {
    content: "Indonesian"
}

.lang-lbl-en[lang=is]:after {
    content: "Icelandic"
}

.lang-lbl-en[lang=it]:after {
    content: "Italian"
}

.lang-lbl-en[lang=iw]:after {
    content: "Hebrew"
}

.lang-lbl-en[lang=ja]:after {
    content: "Japanese"
}

.lang-lbl-en[lang=ko]:after {
    content: "Korean"
}

.lang-lbl-en[lang=lt]:after {
    content: "Lithuanian"
}

.lang-lbl-en[lang=lv]:after {
    content: "Latvian"
}

.lang-lbl-en[lang=mk]:after {
    content: "Macedonian"
}

.lang-lbl-en[lang=ms]:after {
    content: "Malay"
}

.lang-lbl-en[lang=mt]:after {
    content: "Maltese"
}

.lang-lbl-en[lang=nl]:after {
    content: "Dutch"
}

.lang-lbl-en[lang=no]:after {
    content: "Norwegian"
}

.lang-lbl-en[lang=pl]:after {
    content: "Polish"
}

.lang-lbl-en[lang=pt]:after {
    content: "Portuguese"
}

.lang-lbl-en[lang=ro]:after {
    content: "Romanian"
}

.lang-lbl-en[lang=ru]:after {
    content: "Russian"
}

.lang-lbl-en[lang=sk]:after {
    content: "Slovak"
}

.lang-lbl-en[lang=sl]:after {
    content: "Slovenian"
}

.lang-lbl-en[lang=sq]:after {
    content: "Albanian"
}

.lang-lbl-en[lang=sr]:after {
    content: "Serbian"
}

.lang-lbl-en[lang=sv]:after {
    content: "Swedish"
}

.lang-lbl-en[lang=th]:after {
    content: "Thai"
}

.lang-lbl-en[lang=tr]:after {
    content: "Turkish"
}

.lang-lbl-en[lang=uk]:after {
    content: "Ukrainian"
}

.lang-lbl-en[lang=vi]:after {
    content: "Vietnamese"
}

.lang-lbl-en[lang=zh]:after {
    content: "Chinese"
}


































.lang-lbl-full[lang=en]:after {
    content: "English\0000A0/\0000A0English"
}

.lang-lbl-full-anglais[lang=en]:after {
    content: "\0000A0\0000A0\0000A0\0000A0\0000A0English\0000A0/\0000A0Anglais"
}

.lang-lbl-full-eigo[lang=en]:after {
    content: "\0000A0\0000A0\0000A0\0000A0\0000A0English\0000A0/\0000A0Anglais"
}

.lang-lbl-full-eigo[lang=en]:after {
    content: "\0000A0\0000A0\0000A0\0000A0\0000A0\0082F1\008A9E\0000A0/\0000A0English"
}

.lang-lbl-full-furansugo[lang=en]:after {
    content: "\0000A0\0000A0\0000A0\0000A0\0000A0\0082F1\008A9E\0000A0/\0000A0English"
}



.lang-lbl-full[lang=fr]:after {
    content: "Fran\0000E7ais\0000A0/\0000A0French"
}


.lang-lbl-full-furansugo[lang=fr]:after {
    content: "\0000A0\0000A0\0000A0\0000A0\0000A0\0030D5\0030E9\0030F3\0030B9\008A9E\0000A0/\0000A0French"
}



.lang-lbl-full[lang=ja]:after {
    content: "\0065E5\00672C\008A9E\0000A0/\0000A0Japanese"
}

.lang-lbl-full-japonais[lang=ja]:after {
    content: "\0000A0\0000A0\0000A0\0000A0\0065E5\00672C\008A9E\0000A0/\0000A0Japonais"
}





.lang-lbl-full[lang=ko]:after {
    content: "\00D55C\00AD6D\00C5B4\0000A0/\0000A0Korean"
}


.lang-lbl-full[lang=ru]:after {
    content: "\000420\000443\000441\000441\00043A\000438\000439\0000A0/\0000A0Russian"
}


.lang-lbl-full[lang=zh]:after {
    content: "\004E2D\006587\0000A0/\0000A0Chinese"
}




.lang-lg:before,
.lang-sm:before,
.lang-xs:before {
    content: '\0000A0'
}

.lang-xs.lang-lbl,
.lang-xs.lang-lbl-en,
.lang-xs.lang-lbl-full {
    padding-left: 16px
}

.lang-sm.lang-lbl,
.lang-sm.lang-lbl-en,
.lang-sm.lang-lbl-full {
    padding-left: 24px
}

.lang-lg.lang-lbl,
.lang-lg.lang-lbl-en,
.lang-lg.lang-lbl-full {
    padding-left: 32px
}

.lang-lg.lang-lbl-en:before,
.lang-lg.lang-lbl-full:before,
.lang-lg.lang-lbl:before,
.lang-sm.lang-lbl-en:before,
.lang-sm.lang-lbl-full:before,
.lang-sm.lang-lbl:before,
.lang-xs.lang-lbl-en:before,
.lang-xs.lang-lbl-full:before,
.lang-xs.lang-lbl:before {
    content: ''
}

.lang-lg,
.lang-lg:after {
    top: 0;
    position: relative
}

.lang-sm {
    top: 1px;
    position: relative
}

.lang-sm:after {
    top: -1px;
    position: relative
}

.lang-xs {
    top: 4px;
    position: relative
}

.lang-xs:after {
    top: -4px;
    position: relative
}

.lead>.lang-lg {
    top: 2px
}

.lead>.lang-lg:after {
    top: -2px
}

.lead>.lang-sm {
    top: 6px
}

.lead>.lang-sm:after {
    top: -6px
}

.lead>.lang-xs {
    top: 8px
}

.lead>.lang-xs:after {
    top: -8px
}

small>.lang-sm {
    top: -1px
}

small>.lang-sm:after {
    top: 1px
}

small>.lang-xs {
    top: 2px
}

small>.lang-xs:after {
    top: -2px
}

h1>.lang-lg {
    top: 9px
}

h1>.lang-lg:after {
    top: -9px
}

h1>.lang-sm {
    top: 12px
}

h1>.lang-sm:after {
    top: -12px
}

h1>.lang-xs {
    top: 14px
}

h1>.lang-xs:after {
    top: -14px
}

h2>.lang-lg {
    top: 5px
}

h2>.lang-lg:after {
    top: -5px
}

h2>.lang-sm {
    top: 8px
}

h2>.lang-sm:after {
    top: -8px
}

h2>.lang-xs {
    top: 10px
}

h2>.lang-xs:after {
    top: -10px
}

h3>.lang-lg {
    top: 1px
}

h3>.lang-lg:after {
    top: -1px
}

h3>.lang-sm {
    top: 5px
}

h3>.lang-sm:after {
    top: -5px
}

h3>.lang-xs {
    top: 8px
}

h3>.lang-xs:after {
    top: -8px
}

h4>.lang-lg {
    top: -1px
}

h4>.lang-lg:after,
h4>.lang-sm {
    top: 1px
}

h4>.lang-sm:after {
    top: -1px
}

h4>.lang-xs {
    top: 4px
}

h4>.lang-xs:after {
    top: -4px
}

h5>.lang-sm,
h5>.lang-sm:after {
    top: 0
}

h5>.lang-xs {
    top: 2px
}

h5>.lang-xs:after {
    top: -2px
}

h6>.lang-sm,
h6>.lang-sm:after {
    top: 0
}

h6>.lang-xs {
    top: 1px
}

h6>.lang-xs:after {
    top: -1px
}

.btn>.lang-sm {
    top: 2px
}

.btn>.lang-sm:after {
    top: -2px
}

.btn>.lang-xs {
    top: 4px
}

.btn>.lang-xs:after {
    top: -4px
}

.btn.btn-xs>.lang-sm,
.btn.btn-xs>.lang-sm:after {
    top: 0
}

.btn.btn-xs>.lang-xs {
    top: 3px
}

.btn.btn-xs>.lang-xs:after {
    top: -3px
}

.btn.btn-sm>.lang-sm,
.btn.btn-sm>.lang-sm:after {
    top: 0
}

.btn.btn-sm>.lang-xs {
    top: 3px
}

.btn.btn-sm>.lang-xs:after {
    top: -3px
}

.btn.btn-lg>.lang-lg {
    top: 1px
}

.btn.btn-lg>.lang-lg:after {
    top: -1px
}

.btn.btn-lg>.lang-sm {
    top: 3px
}

.btn.btn-lg>.lang-sm:after {
    top: -3px
}

.btn.btn-lg>.lang-xs {
    top: 6px
}

.btn.btn-lg>.lang-xs:after {
    top: -6px
}